import { Module } from '@nestjs/common';
import { ApiController } from './api.controller';
import { CrawlerService } from '../crawler/crawler.service';
import { SitesSchema } from '../schema/sites.schema';
import { MongooseModule } from '@nestjs/mongoose';

@Module({
  imports: [MongooseModule.forFeature([{ name: 'Site', schema: SitesSchema }])],
  controllers: [ApiController],
  providers: [CrawlerService]

})
export class ApiModule {}
